#ifndef _FS_PDFASSOCIATEFILES_C_H_
#define _FS_PDFASSOCIATEFILES_C_H_

#ifdef __cplusplus
extern "C" {
#endif



typedef enum _FSRelationship {
e_FSRelationshipUnspecified = 0,
e_FSRelationshipSource = 1,
e_FSRelationshipData = 2,
e_FSRelationshipAlternative = 3,
e_FSRelationshipSupplement = 4,
e_FSRelationshipEncryptedPayload = 5,
e_FSRelationshipFormData = 6,
e_FSRelationshipSchema = 7,
}FSRelationship;


FSErrorCode FSDK_AssociatedFiles_Create(const FS_PDFDOC_HANDLE pdf_doc, FS_ASSOCIATEDFILES_HANDLE* associatedfiles_return_value);
FSErrorCode FSDK_AssociatedFiles_Release(FS_ASSOCIATEDFILES_HANDLE associatedfiles_handle);
FSErrorCode FSDK_AssociatedFiles_IsEmpty(FS_ASSOCIATEDFILES_HANDLE associatedfiles_handle, FS_BOOL* return_value);
FSErrorCode FSDK_AssociatedFiles_GetAssociatedFilesCount(FS_ASSOCIATEDFILES_HANDLE associatedfiles_handle,  FS_PDFOBJECT_HANDLE pdf_object, int* return_value);
FSErrorCode FSDK_AssociatedFiles_GetAssociatedFilesCount0(FS_ASSOCIATEDFILES_HANDLE associatedfiles_handle,  FS_GRAPHICSOBJECT_HANDLE graphics_object, int* return_value);
FSErrorCode FSDK_AssociatedFiles_GetAssociatedFile(FS_ASSOCIATEDFILES_HANDLE associatedfiles_handle,  FS_PDFOBJECT_HANDLE pdf_object, int index, FS_FILESPEC_HANDLE* return_value);
FSErrorCode FSDK_AssociatedFiles_GetAssociatedFile0(FS_ASSOCIATEDFILES_HANDLE associatedfiles_handle,  FS_GRAPHICSOBJECT_HANDLE graphics_object, int index, FS_FILESPEC_HANDLE* return_value);
FSErrorCode FSDK_AssociatedFiles_AssociateFile(FS_ASSOCIATEDFILES_HANDLE associatedfiles_handle,  FS_PDFOBJECT_HANDLE pdf_object, const FS_FILESPEC_HANDLE file_spec);
FSErrorCode FSDK_AssociatedFiles_AssociateFile0(FS_ASSOCIATEDFILES_HANDLE associatedfiles_handle,  FS_GRAPHICSOBJECT_HANDLE graphics_object, int mark_content_item_index,
                       FS_PDFOBJECT_HANDLE current_resource, const char* property_name, const  FS_FILESPEC_HANDLE file_spec);
FSErrorCode FSDK_AssociatedFiles_AssociateFile1(FS_ASSOCIATEDFILES_HANDLE associatedfiles_handle, const FS_PDFPAGE_HANDLE page, const FS_FILESPEC_HANDLE file_spec);
FSErrorCode FSDK_AssociatedFiles_AssociateFile2(FS_ASSOCIATEDFILES_HANDLE associatedfiles_handle,  FS_IMAGEOBJECT_HANDLE image, const FS_FILESPEC_HANDLE file_spec);
FSErrorCode FSDK_AssociatedFiles_AssociateFile3(FS_ASSOCIATEDFILES_HANDLE associatedfiles_handle,  FS_FORMXOBJECT_HANDLE form_xobject, const FS_FILESPEC_HANDLE file_spec);
FSErrorCode FSDK_AssociatedFiles_AssociateFile4(FS_ASSOCIATEDFILES_HANDLE associatedfiles_handle, const FS_ANNOT_HANDLE annot, const FS_FILESPEC_HANDLE file_spec);
FSErrorCode FSDK_AssociatedFiles_RemoveAssociatedFile(FS_ASSOCIATEDFILES_HANDLE associatedfiles_handle,  FS_PDFOBJECT_HANDLE pdf_object, int index);
FSErrorCode FSDK_AssociatedFiles_RemoveAssociatedFile0(FS_ASSOCIATEDFILES_HANDLE associatedfiles_handle,  FS_GRAPHICSOBJECT_HANDLE graphics_object, int index);
#ifdef __cplusplus
}
#endif
#endif
